import request from '@/utils/request'

//添加员工上机记录，data内填写json格式{"empCode":"员工编码","eqpCode":"设备编码"}
export function addStart(data) {
  return request({
    url: '/basic/empEqpHistory/start',
    method: 'post',
    data:data
  })
}

//添加员工下机记录，data内填写json格式{"empCode":"员工编码","eqpCode":"设备编码"}
export function addEnd(data) {
  return request({
    url: '/basic/empEqpHistory/end',
    method: 'put',
    data:data
  })
}

// 查询人员上机历史列表
export function listEmpEqpHistory(query) {
  return request({
    url: '/basic/empEqpHistory/list',
    method: 'get',
    params: query
  })
}
